Subject: Re: [Tigers] tiger radiator

From: <[email-masked]>
Date: Thu, 9 Oct 2014 11:46:24 -0700

You can swap water pump/timing cover combos on any small block ford.
If you find an electric pump that works just swap the timing cover too.
Its not like you are trying to stay concours.

I think you will need to use a pusher electric fan if you are really jonesing for an electric one.

Erich
---- Tom Parker <[email-masked]> wrote: 
> A little late with this response. Sorry, Gmail issues...
> 
> I visited with Benji at Griffin to discuss the new electric fan / radiator
> combo. From their engineering drawings the fan adds another @ 2 1/2" on the
> engine side of the radiator, My Tiger has less than an inch clearance
> between the tip of the water pump and the radiator core. I suspect that's
> about right, I might be able to finagle another half inch or so by horsing
> the engine back, but no more (and I'm not gonna try it...).
> 
> So my impression is the electric fan won't fit with the engine driven water
> pump installed. It MAY fit with an electric water pump, but that comes with
> issues; the 6 bolt 289 uses a different pump than the 5 bolt 260 / 289. I
> haven't looked into electric pumps so I don't know if they're available for
> the 260.
> 
> Tom
> '67 Mark 2
> 
> On Wed, Sep 3, 2014 at 9:27 PM, <[email-masked]> wrote:
> 
> > I have the Griffin Radiator but no experience with the combo electric fan.
> > At least one other Tiger owner and I had problems with the radiator
> > fabrication. The two side flanges for mounting to the body were welded on
> > wrong. They should be offset from the front of the radiator, but they
> > offset them in the wrong direction. If you order one make them agree
> > upfront to take it back at their cost if they send you one with this
> > problem and send you one made correctly.
> >
> > Also, be sure you specify that you want one with a drain plug. It seems
> > they have two different sets of drawings for their Tiger radiator. Not
> > knowing the difference, I went with the Racing Version. That version does
> > not have a drain plug... Did not know that until I went to install the
> > radiator.
> >
> > Gene
> >
> > ----- Original Message -----
> >
> > From: "Brad Huff" <[email-masked]>
> > To: [email-masked]
> > Sent: Wednesday, September 3, 2014 1:17:11 PM
> > Subject: [Tigers] tiger radiator
> >
> > Gentlemen- Any thoughts on the Griffen CU-00179 aluminum radiator and fan
> > combo cooling package? I have noticed a couple of scrapes on my existing
> > radiator (recored years ago with a thicker core). The fan has kissed the
> > radiator core and laid back the copper fins down to the tubes in a couple
> > of
> > spots. My thinking is that the Griffen radiator with its narrower core
> > (1-1/2
> > inches vs 2-1/2 on my existing radiator) and the narrow electric fan
> > included
> > with the combo might be better. I would then eliminate the stock mechanical
> > fan and potentially gain back some room. Any thoughts? bBrad
> > _______________________________________________
> >
> > [email-masked]
> >
> > Donate: http://www.team.net/donate.html
> > Archive: http://www.team.net/archive
> > Forums: http://www.team.net/forums
> > Unsubscribe:
> > http://autox.team.net/mailman/options/tigers/[email-masked]
> > _______________________________________________
> >
> > [email-masked]
> >
> > Donate: http://www.team.net/donate.html
> > Archive: http://www.team.net/archive
> > Forums: http://www.team.net/forums
> > Unsubscribe:
> > http://autox.team.net/mailman/options/tigers/[email-masked]
> _______________________________________________
> 
> [email-masked]
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]

---

From: " Ron Fraser" <[email-masked]>
Date: Fri, 10 Oct 2014 10:51:57 -0400

I just measured a couple of timing covers.

5.0L  E5AE timing cover - Thickness = 2.1"

64 289, C5AE timing cover - major thickness = 2.712 - the cast timing
pointer makes the total thickness = 3.092"

That makes about 1" difference.  The difference with a 289 timing cover
without a cast pointer should be around .6"

Yes the timing cover can be removed with the engine in place.  The radiator
must be removed to gain access.

I believe the 5.0L timing cover will fit OK but I have never checked that or
looked to see.

Ron Fraser

-----Original Message-----
From: Tigers [mailto:[email-masked]] On Behalf Of Owain Lloyd
Sent: Friday, October 10, 2014 5:18 AM
To: Tom Parker
Cc: LIST TIGER
Subject: Re: [Tigers] tiger radiator

If you ever need less than 1/2 inch more clearance to the rad and you have
the original early timing cover, its worth remembering that the later
timing covers are thinner.   you'll need to use different bolts to attach
it.   i've never tried changing one with the engine still in the car but it
should be doable with a quality damper puller and the rad removed.
_______________________________________________

[email-masked]